﻿<?xml version="1.0" encoding="UTF-8"?>
<ContentPage BackgroundColor="#f9f9f9" xmlns="http://xamarin.com/schemas/2014/forms" xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml" x:Class="NewMoras.OrderScreen">
    <ContentPage.Content>
        
        <!-- Grid to display sidebar menu on the left and items on the right-->

        <Grid>
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="3*"></ColumnDefinition>
                <ColumnDefinition Width="1"></ColumnDefinition>
                <ColumnDefinition Width="6*"></ColumnDefinition>
            </Grid.ColumnDefinitions>

            <!--Start of SIDEBAR menu-->
            <StackLayout Grid.Column="0" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand">
                <Grid>
                    <Grid.RowDefinitions>
                        <RowDefinition Height="50"></RowDefinition>
                    </Grid.RowDefinitions>

                    <!--Menu options at the top-->
                    <Label x:Name="cart_label" BackgroundColor="#AF7287" TextColor="White" Text="Cart" FontSize="30" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Grid.Column="0" Grid.Row="0"></Label>
                    <Label x:Name="information_label" Text="Information" FontSize="30" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Grid.Column="1" Grid.Row="0"></Label>
                    <Label x:Name="server_label" Text="Help" FontSize="30" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Grid.Column="2" Grid.Row="0"></Label>
                </Grid>


            <StackLayout x:Name="cart_screen" VerticalOptions="FillAndExpand">

                <!--Code for CART SCREEN-->
                <ScrollView VerticalScrollBarVisibility="Always" VerticalOptions="FillAndExpand">

                   <StackLayout VerticalOptions="FillAndExpand">
                       <!--Code for current cart-->
                            <!--Order button-->
                       <Grid Margin=" 0,0,0,-20">
                           <Grid.RowDefinitions>
                               
                               <RowDefinition Height="100"></RowDefinition>
                    
                              
                           </Grid.RowDefinitions>
                            <Image Source="images/cart.png" Scale = "0.75" HorizontalOptions="Center"></Image>
                       </Grid>

             

                       <Label Margin= "30,30,30,0" FontSize="15" HorizontalTextAlignment="Center" Text="Additional Comments:"></Label>
                       <Frame BorderColor="LightGray" Margin= "30,0,30,0" HasShadow="False" HorizontalOptions = "FillAndExpand" VerticalOptions="FillAndExpand" Padding="0,0" >
                          
                            <Editor  Placeholder="This will be submitted with your completed order" AutoSize = "TextChanges" PlaceholderColor="Black" x:Name="textBox"/>
                       </Frame>
                       <Grid>
                           
                           <Label Text="Item" FontAttributes="Bold" FontSize="30" HorizontalOptions="Center" Grid.Row="1" Grid.Column="0"></Label>
                           <Label Text="Quantity" FontAttributes="Bold" FontSize="30" HorizontalOptions="Center" Grid.Row="1" Grid.Column="1"></Label>
                       </Grid>
                        
                       <Grid>
                           <Grid.RowDefinitions>
                               
                               <RowDefinition Height="Auto"></RowDefinition>
                               <RowDefinition Height="1"></RowDefinition>
                              
                           </Grid.RowDefinitions>

                           <!--List of items in cart-->
                           <ListView Grid.Row="0" RowHeight="80" x:Name="orders_lists" BackgroundColor="#f9f9f9" VerticalOptions="Fill" SeparatorVisibility="None" HasUnevenRows="True">
                               <ListView.ItemTemplate>
                                    <DataTemplate>
                                       <ViewCell>
                                            <Grid>
                                                <Label Grid.Column="0" Text="{Binding Path=Key}" FontSize="30" HorizontalTextAlignment="Center"/>
                                                <Label Grid.Column="1" Text="{Binding Path=Value}" FontSize="30" HorizontalTextAlignment="Center"/>
                                            </Grid>
                                       </ViewCell>
                                    </DataTemplate>
                               </ListView.ItemTemplate>
                           </ListView>



                           <BoxView BackgroundColor="Gray" Grid.Row="1" ></BoxView>


                       </Grid>
                       <!--End of code for current cart-->


                       <!--Code for previous orders-->

                        <!--List of previously ordered items-->
                       <Grid Margin=" 0,0,0,-20">
                           <Grid.RowDefinitions>
                               
                               <RowDefinition Height="100"></RowDefinition>
                    
                              
                           </Grid.RowDefinitions>
                             <Image Source="images/clock.png" Scale = "0.75" HorizontalOptions="Center" ></Image>
                       </Grid>
                      
                       <Grid>
                         
                         <Label Text="In Progress" FontAttributes="Bold"  FontSize="30" Margin="0,0,0,15" HorizontalOptions="Center" TextColor="Orange" Grid.Row=" 1" Grid.Column=" 0"></Label>
                         <Label Text="Delivered" FontAttributes="Bold" FontSize="30" Margin="0,0,0,15" HorizontalOptions="Center" TextColor="Green" Grid.Row="1" Grid.Column="1"></Label>
                       </Grid>

                       <ListView Grid.Row="0" x:Name="in_progress_orders" RowHeight="80" BackgroundColor="#f9f9f9" VerticalOptions="FillAndExpand" SeparatorVisibility="None" HasUnevenRows="True">
                               <ListView.ItemTemplate>
                                    <DataTemplate>
                                       <ViewCell>

                                          <Label Text="{Binding Path=Value}" FontSize="30" HorizontalTextAlignment="Start" TextColor="Orange"/>
                                           
                                       </ViewCell>
                                    </DataTemplate>
                               </ListView.ItemTemplate>
                       </ListView>

                       
                      
                       <ListView Grid.Row="0" x:Name="delivered_orders" RowHeight="80" BackgroundColor="#f9f9f9" VerticalOptions="FillAndExpand" SeparatorVisibility="None" HasUnevenRows="True">

                               <ListView.ItemTemplate>
                                    <DataTemplate>
                                       <ViewCell>

                                          <Label Text="{Binding Path=Value}" FontSize="30" HorizontalTextAlignment="Start" TextColor="Green"/>
                                           
                                       </ViewCell>
                                    </DataTemplate>
                               </ListView.ItemTemplate>
                       </ListView>
                       <!--End of code for previously ordered items-->

                   </StackLayout>
                </ScrollView>

               <StackLayout VerticalOptions="End">
                 <Grid>
                    <Grid.RowDefinitions>
                      <RowDefinition Height="Auto"></RowDefinition>
                      <RowDefinition Height="Auto"></RowDefinition>
                     </Grid.RowDefinitions>
                    <Button Grid.Row="0" TextColor="#332c2c" BorderWidth="3" CornerRadius="11" VerticalOptions="End" HorizontalOptions="Center" Grid.Column="0" Clicked="OrderGesture" Padding="30, 0" Margin="0,20,0,10" Text="Order" FontSize="25" ></Button>
                    <Button TextColor="#332c2c" BorderWidth="3" CornerRadius="11" VerticalOptions="End" HorizontalOptions="Center" Clicked="RefreshStatus" Padding="30, 0" Margin="0,20" Text="Get Order Status" FontSize="25" Grid.Row="1" Grid.Column="0" ></Button>
                 </Grid>
               </StackLayout>

            </StackLayout>
         
                <!--End of code for cart screen-->

                <!--Code for ITEM INFORMATION SCREEN-->
                <ScrollView IsVisible="False" VerticalScrollBarVisibility="Always" x:Name="information_screen">
                    <StackLayout>
                        <Label Text="" x:Name="infoName" FontSize="30" HorizontalOptions="Center" FontAttributes="Bold" ></Label>
                        <Image Source="" x:Name="infoImage"></Image>

                        <Label Text="Description: " FontSize="25" Margin="15, 10" FontAttributes="Bold"></Label>
                        <Label Text="" FontSize="20" x:Name="infoDesc" Margin="15, 5"></Label>

                        <Label Text="Calories: " FontSize="25" Margin="15, 10" FontAttributes="Bold"></Label>
                        <Label Text="" FontSize="20" x:Name="infoCal" Margin="15, 5"></Label>

                        <Label Text="Approximate Serving Size: " FontSize="25" Margin="15, 10" FontAttributes="Bold"></Label>
                        <Label Text="" FontSize="20" x:Name="infoSize" Margin="15, 5"></Label>

                        <Label Text="Ingredients: " FontSize="25" Margin="15, 10" FontAttributes="Bold"></Label>
                        <Label Text="" FontSize="20" x:Name="infoIng" Margin="15, 5"></Label>

                        <Label Text="Common Allergens: " FontSize="25" Margin="15, 10" FontAttributes="Bold"></Label>
                        <Label Text="" FontSize="20" x:Name="infoAller" Margin="15, 5"></Label>

                    </StackLayout>
                </ScrollView>

                <!--End of code for item information screen-->

                <!--Code for HELP SCREEN-->
                <ScrollView IsVisible="False" VerticalScrollBarVisibility="Always" x:Name="server_screen">
                    <Grid>
                        <Grid.RowDefinitions>
                            <RowDefinition Height="300"></RowDefinition>
                            <RowDefinition Height="75"></RowDefinition>
                            <RowDefinition Height="113"></RowDefinition>
                            <RowDefinition Height="225"></RowDefinition>
                            <RowDefinition Height="113"></RowDefinition>
                        </Grid.RowDefinitions>

                        <!--Server Interactive Image Section-->
                        <Grid Grid.Row="0" >
                                <Grid.RowDefinitions>
                                <RowDefinition Height="50"></RowDefinition>
                                <RowDefinition Height="250"></RowDefinition>
                                </Grid.RowDefinitions>
                            <Image x:Name="serverImage" Source="images/danny.png" HorizontalOptions="Center" VerticalOptions="Center" Grid.Row="1"  ></Image>
                            <Image x:Name="speechBubble" Source="images/speech_bubble_question.png" HorizontalOptions="End" VerticalOptions="Start" Grid.Row="1" Opacity="0" Scale="0.56">
                                <Image.GestureRecognizers>
                                    <TapGestureRecognizer
                                            Tapped="OnSpeechBubbleTapped"
                                            NumberOfTapsRequired="1" />
                                </Image.GestureRecognizers>
                            </Image>
                        </Grid>

                        <Label Grid.Row="1" Text="How may I help?" FontSize="43" HorizontalTextAlignment="Center" ></Label>
                        <Button Grid.Row="2" Text="I have a question" TextColor="#332c2c" x:Name="questionButton" BorderWidth="3" CornerRadius="11" Padding="30,0" Margin="30"  HorizontalOptions="Center" FontSize="30" Clicked="QuestionGesture"></Button>
                        <Label Grid.Row="3" Text="To see more information double tap on the image of the menu item" FontSize="23" HorizontalTextAlignment="Center"></Label>
                        <Button Grid.Row="4" Text="Ready to pay" TextColor="#332c2c" BorderWidth="3" CornerRadius="11" Padding="48,20,50,20" VerticalOptions="Start" HorizontalOptions="Center" FontSize="30" Clicked="Payment_Screen"></Button>

                    </Grid>
                </ScrollView>
                <!--End of code for help screen-->

            </StackLayout>
            <!--End of sidebar menu-->


            <!-- Separator between the left and right side-->
            <BoxView BackgroundColor="Gray" Grid.Column="1"></BoxView>
            <!-- Displaying MENU items-->
            <ScrollView  Grid.Column="2">
                <StackLayout>
                    <!--PANCAKES AND WAFFLES-->
                    <Label Text="Pancakes and Waffles" FontAttributes="Italic" FontSize="40" Margin="10, 10"></Label>
                    <FlexLayout Direction="Row" AlignItems="End" Wrap="Wrap" JustifyContent="SpaceBetween" Margin="30, 0, 30, 0">
                        <!--original pancakes-->
                        <StackLayout>
                            <Label Text="Original Pancakes" FontSize="25" HorizontalOptions="Center" Margin="0, 20, 0, 0" FontAttributes="Bold"></Label>
                            <Image Source="images/food/pancakes.jpg">
                                <Image.GestureRecognizers>
                                    <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                </Image.GestureRecognizers>
                            </Image>
                            <Grid  Margin="0, 0, 0, 30">
                               <Grid.ColumnDefinitions>
                                   <ColumnDefinition Width="130"></ColumnDefinition>
                                   <ColumnDefinition Width="100"></ColumnDefinition>
                                   <ColumnDefinition Width="130"></ColumnDefinition>
                                </Grid.ColumnDefinitions>
                                <Button Clicked="Remove_Pancakes" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Original Pancakes"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name="pancakesAmt"></Label>
                                <Button Clicked="Add_Pancakes" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Original Pancakes" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                            </Grid>

                            
                        </StackLayout>

                        <!--blueberry pancakes-->
                        <StackLayout>
                            <Label Text="Blueberry Pancakes" FontSize="25" HorizontalOptions="Center" Margin="0, 20, 0, 0" FontAttributes="Bold"></Label>
                            <Image Source="images/food/bpancakes.jpg">
                                <Image.GestureRecognizers>
                                    <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                </Image.GestureRecognizers>
                            </Image>
                            <Grid Margin="0, 0, 0, 30">
                               <Grid.ColumnDefinitions>
                                   <ColumnDefinition Width="130"></ColumnDefinition>
                                   <ColumnDefinition Width="100"></ColumnDefinition>
                                   <ColumnDefinition Width="130"></ColumnDefinition>
                                </Grid.ColumnDefinitions>
                                <Button Clicked="Remove_BPancakes" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Blueberry Pancakes"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name="bPancakesAmt"></Label>
                                <Button Clicked="Add_BPancakes" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Blueberry Pancakes" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                            </Grid>


                        </StackLayout>

                        <!--original waffles-->
                        <StackLayout>
                            <Label Text="Original Waffles" FontSize="25" HorizontalOptions="Center" Margin="0, 20, 0, 0" FontAttributes="Bold"></Label>
                            <Image Source="images/food/waffles.jpg">
                                <Image.GestureRecognizers>
                                    <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                </Image.GestureRecognizers>
                            </Image>
                            <Grid Margin="0, 0, 0, 30">
                               <Grid.ColumnDefinitions>
                                   <ColumnDefinition Width="130"></ColumnDefinition>
                                   <ColumnDefinition Width="100"></ColumnDefinition>
                                   <ColumnDefinition Width="130"></ColumnDefinition>
                                </Grid.ColumnDefinitions>
                                <Button Clicked="Remove_Waffles" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Original Waffles"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name="wafflesAmt"></Label>
                                <Button Clicked="Add_Waffles" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Original Waffles" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                            </Grid>

                        </StackLayout>
                    </FlexLayout>

                     <!--SANDWICHES-->
                    <Label Margin="0, 30, 0, 0" Grid.Row="0" Text="Sandwiches" FontSize="40"></Label>
                    <FlexLayout Direction="Row" AlignItems="End" Wrap="Wrap" JustifyContent="SpaceBetween" Margin="30, 0, 30, 0">

                        <!--Breakfast burrito-->
                         <StackLayout>
                            <Label Text="Breakfast Burrito" FontSize="25" HorizontalOptions="Center" Margin="0, 20, 0, 0" FontAttributes="Bold"></Label>
                            <Image Source="images/food/breakfastBurrito.jpg" >
                                <Image.GestureRecognizers>
                                    <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                </Image.GestureRecognizers>
                            </Image>
                            <Grid Margin="0, 0, 0, 30">
                               <Grid.ColumnDefinitions>
                                   <ColumnDefinition Width="130"></ColumnDefinition>
                                   <ColumnDefinition Width="100"></ColumnDefinition>
                                   <ColumnDefinition Width="130"></ColumnDefinition>
                                </Grid.ColumnDefinitions>
                                <Button Clicked="Remove_Burrito" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Breakfast Burrito"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name="burritoAmt"></Label>
                                <Button Clicked="Add_Burrito" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Breakfast Burrito" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                            </Grid>
                        </StackLayout>

                        <!--Grilled cheese-->
                        <StackLayout>
                            <Label Text="Grilled Cheese" FontSize="25" HorizontalOptions="Center" Margin="0, 20, 0, 0" FontAttributes="Bold"></Label>
                            <Image Source="images/food/grilledCheese.jpg">
                                <Image.GestureRecognizers>
                                    <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                </Image.GestureRecognizers>
                            </Image>
                            <Grid Margin="0, 0, 0, 30">
                               <Grid.ColumnDefinitions>
                                   <ColumnDefinition Width="130"></ColumnDefinition>
                                   <ColumnDefinition Width="100"></ColumnDefinition>
                                   <ColumnDefinition Width="130"></ColumnDefinition>
                                </Grid.ColumnDefinitions>
                                <Button Clicked="Remove_GrilledCheese" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Grilled Cheese"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name="grilledCheeseAmt"></Label>
                                <Button Clicked="Add_GrilledCheese" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Grilled Cheese" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                            </Grid>

                        </StackLayout>

                        <!--Ham and cheese-->
                        <StackLayout>
                            <Label Text="Ham and Cheese Sandwich" FontSize="25" HorizontalOptions="Center" Margin="0, 20, 0, 0" FontAttributes="Bold"></Label>
                            <Image Source="images/food/hamCheeseSandwich.jpg">
                                <Image.GestureRecognizers>
                                    <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                </Image.GestureRecognizers>
                            </Image>
                            <Grid Margin="0, 0, 0, 30">
                               <Grid.ColumnDefinitions>
                                   <ColumnDefinition Width="130"></ColumnDefinition>
                                   <ColumnDefinition Width="100"></ColumnDefinition>
                                   <ColumnDefinition Width="130"></ColumnDefinition>
                                </Grid.ColumnDefinitions>
                                <Button Clicked="Remove_HamCheese" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Ham and Cheese Sandwich"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name="hamCheeseAmt"></Label>
                                <Button Clicked="Add_HamCheese" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Ham and Cheese Sandwich" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                            </Grid>

                        </StackLayout>
                    </FlexLayout>


                    <!--EGG BREAKFASTS-->
                    <Label Text="Egg Breakfasts" FontAttributes="Italic" FontSize="40" Margin="10, 10"></Label>
                    <FlexLayout Direction="Row" AlignItems="End" Wrap="Wrap" JustifyContent="SpaceBetween" Margin="30, 0, 30, 0">

                        <!--omelette-->
                        <StackLayout>
                            <Label Text="Omelette" FontSize="25" HorizontalOptions="Center" Margin="0, 20, 0, 0" FontAttributes="Bold"></Label>
                            <Image Source="images/food/omelette.jpg">
                                <Image.GestureRecognizers>
                                    <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                </Image.GestureRecognizers>
                            </Image>
                            <Grid Margin="0, 0, 0, 30">
                               <Grid.ColumnDefinitions>
                                   <ColumnDefinition Width="130"></ColumnDefinition>
                                   <ColumnDefinition Width="100"></ColumnDefinition>
                                   <ColumnDefinition Width="130"></ColumnDefinition>
                                </Grid.ColumnDefinitions>
                                <Button Clicked="Remove_Omelette" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Omelette"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name="omeletteAmt"></Label>
                                <Button Clicked="Add_Omelette" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Omelette" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                            </Grid>

                        </StackLayout>

                        <!--scrambled eggs-->
                         <StackLayout>
                            <Label Text="Scrambled Eggs" FontSize="25" HorizontalOptions="Center" Margin="0, 20, 0, 0" FontAttributes="Bold"></Label>
                            <Image Source="images/food/scrambledEggs.jpg">
                                <Image.GestureRecognizers>
                                    <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                </Image.GestureRecognizers>
                            </Image>
                            <Grid Margin="0, 0, 0, 30">
                               <Grid.ColumnDefinitions>
                                   <ColumnDefinition Width="130"></ColumnDefinition>
                                   <ColumnDefinition Width="100"></ColumnDefinition>
                                   <ColumnDefinition Width="130"></ColumnDefinition>
                                </Grid.ColumnDefinitions>
                                <Button Clicked="Remove_ScrambledEggs" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Scrambled Eggs"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name="scrambledEggsAmt"></Label>
                                <Button Clicked="Add_ScrambledEggs" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Scrambled Eggs" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                            </Grid>

                        </StackLayout>

                        <!--sunny side up eggs-->
                        <StackLayout>
                            <Label Text="Sunny Side Up Eggs" FontSize="25" HorizontalOptions="Center" Margin="0, 20, 0, 0" FontAttributes="Bold"></Label>
                            <Image Source="images/food/sunnysideEggs.jpg">
                                <Image.GestureRecognizers>
                                    <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                </Image.GestureRecognizers>
                            </Image>
                            <Grid Margin="0, 0, 0, 30">
                               <Grid.ColumnDefinitions>
                                   <ColumnDefinition Width="130"></ColumnDefinition>
                                   <ColumnDefinition Width="100"></ColumnDefinition>
                                   <ColumnDefinition Width="130"></ColumnDefinition>
                                </Grid.ColumnDefinitions>
                                <Button Clicked="Remove_SunnysideEggs" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Sunny Side Up Eggs"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name="sunnysideEggsAmt"></Label>
                                <Button Clicked="Add_SunnysideEggs" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Sunny Side Up Eggs" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                            </Grid>

                        </StackLayout>

                    </FlexLayout>

                    <!--SIDES-->
                    <Label Text="Sides" FontAttributes="Italic" FontSize="40" Margin="10, 10"></Label>

                    <FlexLayout Direction="Row" AlignItems="End" Wrap="Wrap" JustifyContent="SpaceBetween" Margin="30, 0, 30, 0" x:Name="sidesList">
                                <!--Fruit Parfait-->
                                <StackLayout>
                                    <Label Text="Fruit Parfait" FontSize="25" HorizontalOptions="Center" FontAttributes="Bold" Margin="0, 20, 0, 0"></Label>

                                    <Image Source="images/food/fruitParfait.jpg">
                                        <Image.GestureRecognizers>
                                           <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                        </Image.GestureRecognizers>
                                    </Image>

                                    <Grid Margin="0, 0, 0, 30">
                                         <Grid.ColumnDefinitions>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                           <ColumnDefinition Width="100"></ColumnDefinition>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                        </Grid.ColumnDefinitions>
                                        <Button Clicked="Remove_FruitParfait" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Fruit Parfait"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                        <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name="fruitParfaitAmt"></Label>
                                        <Button Clicked="Add_FruitParfait" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Fruit Parfait" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                    </Grid>


                                </StackLayout>

                                <!--Hash Browns-->
                                <StackLayout>
                                    <Label Text="Hash Browns" FontSize="25" HorizontalOptions="Center" FontAttributes="Bold" Margin="0, 20, 0, 0"></Label>

                                    <Image Source="images/food/hashbrowns.jpg">
                                        <Image.GestureRecognizers>
                                           <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                        </Image.GestureRecognizers>
                                    </Image>

                                    <Grid Margin="0, 0, 0, 30">
                                         <Grid.ColumnDefinitions>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                           <ColumnDefinition Width="100"></ColumnDefinition>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                        </Grid.ColumnDefinitions>
                                        <Button Clicked="Remove_HashBrowns" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Hash Browns"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                        <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name="HashBrownsAmt"></Label>
                                        <Button Clicked="Add_HashBrowns" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Hash Browns" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                    </Grid>


                                </StackLayout>

                                <!--Sausages-->
                                <StackLayout>
                                    <Label Text="Sausages" FontSize="25" HorizontalOptions="Center" FontAttributes="Bold" Margin="0, 20, 0, 0"></Label>

                                    <Image Source="images/food/sausages.jpg">
                                        <Image.GestureRecognizers>
                                           <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                        </Image.GestureRecognizers>
                                    </Image>

                                    <Grid Margin="0, 0, 0, 30">
                                         <Grid.ColumnDefinitions>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                           <ColumnDefinition Width="100"></ColumnDefinition>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                        </Grid.ColumnDefinitions>
                                        <Button Clicked="Remove_Sausages" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Sausages"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                        <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name="SausagesAmt"></Label>
                                        <Button Clicked="Add_Sausages" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Sausages" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                    </Grid>


                                </StackLayout>

                                <!--Bacon-->
                                <StackLayout>
                                    <Label Text="Bacon" FontSize="25" HorizontalOptions="Center" FontAttributes="Bold" Margin="0, 20, 0, 0"></Label>

                                    <Image Source="images/food/bacon.jpg">
                                        <Image.GestureRecognizers>
                                           <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                        </Image.GestureRecognizers>
                                    </Image>

                                    <Grid Margin="0, 0, 0, 30">
                                         <Grid.ColumnDefinitions>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                           <ColumnDefinition Width="100"></ColumnDefinition>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                        </Grid.ColumnDefinitions>
                                        <Button Clicked="Remove_Bacon" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Bacon"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                        <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name ="BaconAmt"></Label>
                                        <Button Clicked="Add_Bacon" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Bacon" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                    </Grid>


                                </StackLayout>

                    </FlexLayout>

                    <!--ADD ONS-->
                    <Label Text="Add Ons" FontAttributes="Italic" FontSize="40" Margin="10, 10"></Label>

                    <FlexLayout Direction="Row" AlignItems="End" Wrap="Wrap" JustifyContent="SpaceBetween" Margin="30, 0, 30, 0" x:Name="addOnsList">
                          <!--Apple-->
                                <StackLayout>
                                    <Label Text="Apple" FontSize="25" HorizontalOptions="Center" FontAttributes="Bold" Margin="0, 20, 0, 0"></Label>

                                    <Image Source="images/food/apple.jpg">
                                        <Image.GestureRecognizers>
                                           <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                        </Image.GestureRecognizers>
                                    </Image>

                                    <Grid Margin="0, 0, 0, 30">
                                         <Grid.ColumnDefinitions>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                           <ColumnDefinition Width="100"></ColumnDefinition>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                        </Grid.ColumnDefinitions>
                                        <Button Clicked="Remove_Apple" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Apple"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                        <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name="appleAmt"></Label>
                                        <Button Clicked="Add_Apple" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Apple" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                    </Grid>
                                </StackLayout>

                                <!--Banana-->
                                <StackLayout>
                                    <Label Text="Banana" FontSize="25" HorizontalOptions="Center" FontAttributes="Bold" Margin="0, 20, 0, 0"></Label>

                                    <Image Source="images/food/banana.jpg">
                                        <Image.GestureRecognizers>
                                           <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                        </Image.GestureRecognizers>
                                    </Image>

                                    <Grid Margin="0, 0, 0, 30">
                                         <Grid.ColumnDefinitions>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                           <ColumnDefinition Width="100"></ColumnDefinition>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                        </Grid.ColumnDefinitions>
                                        <Button Clicked="Remove_Banana" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Banana"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                        <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name="bananaAmt"></Label>
                                        <Button Clicked="Add_Banana" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Banana" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                    </Grid>

                                </StackLayout>

                                <!--Muffin-->
                                <StackLayout>
                                    <Label Text="Muffin" FontSize="25" HorizontalOptions="Center" FontAttributes="Bold" Margin="0, 20, 0, 0"></Label>

                                    <Image Source="images/food/chocoMuffin.jpg">
                                        <Image.GestureRecognizers>
                                           <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                        </Image.GestureRecognizers>
                                    </Image>

                                    <Grid Margin="0, 0, 0, 30">
                                         <Grid.ColumnDefinitions>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                           <ColumnDefinition Width="100"></ColumnDefinition>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                        </Grid.ColumnDefinitions>
                                        <Button Clicked="Remove_Muffin" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Muffin"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                        <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name="muffinAmt"></Label>
                                        <Button Clicked="Add_Muffin" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Muffin" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                    </Grid>

                                </StackLayout>
                    </FlexLayout>


                    <!--DRINKS-->
                    <Label Text="Drinks" FontAttributes="Italic" FontSize="40" Margin="10, 10"></Label>

                    <FlexLayout Direction="Row" AlignItems="End" Wrap="Wrap" JustifyContent="SpaceBetween" Margin="30, 0, 30, 0" x:Name="drinksList">
                                <!--Orange Juice-->
                                <StackLayout>
                                    <Label Text="Orange Juice" FontSize="25" HorizontalOptions="Center" FontAttributes="Bold" Margin="0, 20, 0, 0"></Label>

                                    <Image Source="images/food/oj.jpg">
                                        <Image.GestureRecognizers>
                                           <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                        </Image.GestureRecognizers>
                                    </Image>

                                    <Grid Margin="0, 0, 0, 30">
                                         <Grid.ColumnDefinitions>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                           <ColumnDefinition Width="100"></ColumnDefinition>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                        </Grid.ColumnDefinitions>
                                        <Button Clicked="Remove_OrangeJuice" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Orange Juice"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                        <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name="OrangeJuiceAmt"></Label>
                                        <Button Clicked="Add_OrangeJuice" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Orange Juice" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                    </Grid>

                                </StackLayout>

                                <!--Apple Juice-->
                                <StackLayout>
                                    <Label Text="Apple Juice" FontSize="25" HorizontalOptions="Center" FontAttributes="Bold" Margin="0, 20, 0, 0"></Label>

                                    <Image Source="images/food/apple_juice.jpg">
                                        <Image.GestureRecognizers>
                                           <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                        </Image.GestureRecognizers>
                                    </Image>

                                    <Grid Margin="0, 0, 0, 30">
                                         <Grid.ColumnDefinitions>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                           <ColumnDefinition Width="100"></ColumnDefinition>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                        </Grid.ColumnDefinitions>
                                        <Button Clicked="Remove_AppleJuice" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Apple Juice"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                        <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name="AppleJuiceAmt"></Label>
                                        <Button Clicked="Add_AppleJuice" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Apple Juice" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                    </Grid>

                                </StackLayout>

                                <!--Grape Juice-->
                                <StackLayout>
                                    <Label Text="Grape Juice" FontSize="25" HorizontalOptions="Center" FontAttributes="Bold" Margin="0, 20, 0, 0"></Label>

                                    <Image Source="images/food/grape_juice.jpg">
                                        <Image.GestureRecognizers>
                                           <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                        </Image.GestureRecognizers>
                                    </Image>

                                    <Grid Margin="0, 0, 0, 30">
                                         <Grid.ColumnDefinitions>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                           <ColumnDefinition Width="100"></ColumnDefinition>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                        </Grid.ColumnDefinitions>
                                        <Button Clicked="Remove_GrapeJuice" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Grape Juice"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                        <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name = "GrapeJuiceAmt"></Label>
                                        <Button Clicked="Add_GrapeJuice" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Grape Juice" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                    </Grid>

                                </StackLayout>

                                <!--Peach Juice-->
                                <StackLayout>
                                    <Label Text="Peach Juice" FontSize="25" HorizontalOptions="Center" FontAttributes="Bold" Margin="0, 20, 0, 0"></Label>

                                    <Image Source="images/food/peach_juice.jpg">
                                        <Image.GestureRecognizers>
                                           <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                        </Image.GestureRecognizers>
                                    </Image>

                                    <Grid Margin="0, 0, 0, 30">
                                         <Grid.ColumnDefinitions>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                           <ColumnDefinition Width="100"></ColumnDefinition>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                        </Grid.ColumnDefinitions>
                                       <Button Clicked="Remove_PeachJuice" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Peach Juice"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                        <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name = "PeachJuiceAmt"></Label>
                                        <Button Clicked="Add_PeachJuice" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Peach Juice" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                    </Grid>

                                </StackLayout>

                                <!--Coffee-->
                                <StackLayout>
                                    <Label Text="Coffee" FontSize="25" HorizontalOptions="Center" FontAttributes="Bold" Margin="0, 20, 0, 0"></Label>

                                    <Image Source="images/food/coffee.jpg">
                                        <Image.GestureRecognizers>
                                           <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                        </Image.GestureRecognizers>
                                    </Image>

                                    <Grid Margin="0, 0, 0, 30">
                                         <Grid.ColumnDefinitions>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                           <ColumnDefinition Width="100"></ColumnDefinition>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                        </Grid.ColumnDefinitions>
                                        <Button Clicked="Remove_Coffee" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Coffee"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                        <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name="CoffeeAmt"></Label>
                                        <Button Clicked="Add_Coffee" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Coffee" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                    </Grid>

                                </StackLayout>

                                <!--Cappucino-->
                                <StackLayout>
                                    <Label Text="Cappucino" FontSize="25" HorizontalOptions="Center" FontAttributes="Bold" Margin="0, 20, 0, 0"></Label>

                                    <Image Source="images/food/cappucino.jpg">
                                        <Image.GestureRecognizers>
                                           <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                        </Image.GestureRecognizers>
                                    </Image>

                                    <Grid Margin="0, 0, 0, 30">
                                         <Grid.ColumnDefinitions>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                           <ColumnDefinition Width="100"></ColumnDefinition>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                        </Grid.ColumnDefinitions>
                                        <Button Clicked="Remove_Cappucino" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Cappucino"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                        <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name="CappucinoAmt"></Label>
                                        <Button Clicked="Add_Cappucino" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Cappucino" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                    </Grid>

                                </StackLayout>

                                <!--Latte-->
                                <StackLayout>
                                    <Label Text="Latte" FontSize="25" HorizontalOptions="Center" FontAttributes="Bold" Margin="0, 20, 0, 0"></Label>

                                    <Image Source="images/food/latte.jpg">
                                        <Image.GestureRecognizers>
                                           <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                        </Image.GestureRecognizers>
                                    </Image>

                                    <Grid Margin="0, 0, 0, 30">
                                         <Grid.ColumnDefinitions>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                           <ColumnDefinition Width="100"></ColumnDefinition>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                        </Grid.ColumnDefinitions>
                                        <Button Clicked="Remove_Latte" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Latte"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                        <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name = "LatteAmt"></Label>
                                        <Button Clicked="Add_Latte" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Latte" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                    </Grid>

                                </StackLayout>

                                <!--Hot Chocolate-->
                                <StackLayout>
                                    <Label Text="Hot Chocolate" FontSize="25" HorizontalOptions="Center" FontAttributes="Bold" Margin="0, 20, 0, 0"></Label>

                                    <Image Source="images/food/hot_chocolate.jpg">
                                        <Image.GestureRecognizers>
                                           <TapGestureRecognizer Tapped="Item_Screen" NumberOfTapsRequired="2"/>
                                        </Image.GestureRecognizers>
                                    </Image>

                                    <Grid Margin="0, 0, 0, 30">
                                         <Grid.ColumnDefinitions>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                           <ColumnDefinition Width="100"></ColumnDefinition>
                                           <ColumnDefinition Width="130"></ColumnDefinition>
                                        </Grid.ColumnDefinitions>
                                        <Button Clicked="Remove_HotChocolate" FontSize="30" TextColor="#f9f9f9" Text="-" Grid.Row="0" Grid.Column="0" BorderWidth="3" CornerRadius="11" BackgroundColor="#332C2C" BorderColor="#332c2c" BindingContext="Hot Chocolate"  HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                        <Label FontSize="25" VerticalTextAlignment="Center" HorizontalTextAlignment="Center" Text="0" Grid.Row="0" Grid.Column="1" x:Name = "HotChocolateAmt"></Label>
                                        <Button Clicked="Add_HotChocolate" FontSize="30" TextColor="#332c2c" Text="+" Grid.Row="0" Grid.Column="2" BorderWidth="3" CornerRadius="11" BorderColor="#332c2c" BindingContext="Hot Chocolate" HorizontalOptions="Center" VerticalOptions="Center" Padding="20, -20, 20 ,-20"></Button>
                                    </Grid>

                                </StackLayout>

                    </FlexLayout>
                    
                </StackLayout>
            </ScrollView>

            <!--End of MENU-->

        <!--End of main grid-->
        </Grid>
    </ContentPage.Content>
</ContentPage>